const system = require("../../../system");
const settings = require("../../../../config/settings");
const uiconfig = system.getUiConfig2(settings.appKey);
module.exports = (db, DataTypes) => {
  return db.define("tmjsonfile", {
    status: DataTypes.STRING,  //'状态'
    zc_url: DataTypes.STRING,
    jsonfile_url: DataTypes.STRING,  //json文件链接

  }, {
      paranoid: true,//假的删除
      underscored: true,
      version: true,
      freezeTableName: true,
      //freezeTableName: true,
      // define the table's name
      tableName: 'tm_jsonfile',
      validate: {

      },
      indexes: [

      ]
    });
}
